Bug 21905 - Deleted filehandles are kept open in up2date
Summary: Deleted filehandles are kept open in up2date
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-07 20:08 UTC by Michael E Brown
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-07 20:08:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:138 high SHIPPED_LIVE New, enhanced Update Agent for Red Hat Linux 6.x, 7.0 available 2000-12-21 05:00:00 UTC

Description Michael E Brown 2000-12-07 20:08:05 UTC
When remotely updating a machine I had a problem where downloaded rpms in
/var/spool/up2date were deleted but not closed when running "up2date -u"
from an ssh session. "lsof | grep /var/spool/up2date" showed the files
listed as "(deleted)" but open by an ssh process. Disk space was not freed.
"df" output and "du -sk /var" output differed by the size of the deleted
files. Logging out and back in via ssh did not close the files. Attempted
to kill all sshd, which did not work either. Rebooting fixed the problem
(obviously.)

Comment 1 Preston Brown 2000-12-08 19:55:33 UTC
fixed in forthcoming errata release.


Note You need to log in before you can comment on or make changes to this bug.